webdevqa.jp.net

Firefoxで互換性のないアドオンを再び機能させる方法は?

Firefox Quantumへの更新を余儀なくされた後、私は:

  1. ダウンロード Firefox 52.9.0 ESR
  2. トグルxpinstall.signatures.required in about:configtrueからfalse

しかし、ほとんどのXULアドオンが再び機能する場合でも、ツリータブスタイルとReddit拡張スイートでは次のエラーが発生します。

Tree Tab Style error

Firefoxをダウングレードしなければならない以前は、これを見たことがありません。私に必要なのは(2)をすることだけで、すべてが良いです。問題をグーグルで検索しても結果は得られません。どうすればこれを修正できますか?

残念ながら、 すべてのFirefoxアドオンがPale Moonでサポートされているわけではありません2ビットマシンをサポートしていない なので、Waterfoxも使用できません。

2
Ooker

これは、Firefoxが更新されると、アドオンも更新されたためです。それ以降のバージョンはFirefox52と互換性がありません。古いバージョンの ツリータブスタイル および [〜#〜] res [〜#〜] にアクセスしてインストールしてください。

3
Ooker

アップグレードを永久に延期することはできません。ある時点で、メインブランチのFirefoxパッチも長期サービスブランチにマージされます。 XULアドオンを引き続き使用する場合は、フォークを見つける必要があります。

フォークの中には Pale Moon まだ 2ビットバージョン があり、 長期計画 はXULアドオンを永久にサポートすることです

Pale Moonは、次の機能/テクノロジーをサポートしており、今後もサポートしていきます。

  • 完全なUIのカスタマイズ
  • フルテーマ(完全テーマ)とライトウェイトテーマ(ペルソナ)
  • インターフェイスとアプリケーションを構築するためのXULとXBL(ブラウザーバイナリから独立したXULアプリを起動する機能を含む)。
  • NPAPIプラグインの完全サポート
  • オーバーレイおよびブートストラップ(再起動なし)拡張機能
  • 拡張機能から低レベルのAPIにアクセスし、Webコンテンツを操作するだけでなく、ブラウザの機能を真に拡張できるようにします
  • Pale Moon Sync(安全で実績のあるWeaveファッション)。一部のFOSSクラウドソリューションを含む、Weave Sync1.1互換サーバーを使用できます。

かなり前に分岐しているにもかかわらず、コードは現在のFirefoxとは大きく異なります。そしてもちろん、複数のCPUで実行することはできません。

Pale Moonの開発者は、新しいFirefox ESRに基づいて Basilisk という名前の新しいブラウザも開発しています。

Unified XULプラットフォーム(UXP)を示すXULベースのWebブラウザー。

このブラウザは、動作方法において、Servo以前のFirefoxに近い双子です。

ただし、現在はまだベータ段階であり、安定しているとは見なされていません。


とはいえ、64ビットOSをインストールし、64ビットブラウザを使用することをお勧めします。パフォーマンスの向上とは別に、64ビットアプリはアドレス空間が大きいため、 [〜#〜] aslr [〜#〜] がより効率的に機能します。 32ビットOSでは、アプリが最大2/3GBのメモリを使用すると、アプリを移動するための空き容量がなくなります。だから Mozillaはそう言った

反対に、アドレススペースの枯渇の問題を回避するだけでなく、ASLRと呼ばれるセキュリティ機能は32ビットアプリケーションよりも64ビットアプリケーションではるかにうまく機能するため、64ビットFirefoxの方がわずかに安全です。

その上、 最新のPale Moonリリースノート も言及されています

v28.0.1(2018-08-31)

これは、ブラウザの重大なパフォーマンスのボトルネックと一般的な実行時の問題(UIの速度低下、クラッシュ、ハング)に対処するためのバグ修正ポイントリリースです。繰り返しますが、これは、偽のデータで溢れるアドレス空間が限られているため、64ビットオペレーティングシステムよりも32ビットオペレーティングシステムに深刻な影響を及ぼしました。

同様のことが クロムのチーム から言われています:

最後に、64ビットでは、Partition Allocなどの多層防御のセキュリティ緩和策により、オブジェクトのメモリレイアウトの制御に依存する脆弱性に対してはるかに効果的に防御できます。

また読む 64ビットChromeにアップグレードする必要があります。より安全で、安定していて、スピーディーです

64ビットOSを一般的に安全にする他のさまざまなことについては、 2ビットの方が安全です をお読みください。

2
phuclv

32ビットを要求したので、(Fedor2からの)Webブラウザー、特にCentauryをフォローすることに興味があります。

  • ベニバナセンブリ、バジリスクコードからのフォーク
  • Mypal、Palemoonコードからのフォーク

Centaury/Basiliskは最終バージョンではありませんが、最新のXULアドオンをサポートする非常に信頼性の高いブラウザです。

古いハードウェアとreactOSの両方でテストしました

githubでリリース

0
Daniel Perez